Subject: [PATCH 1/1] ARM: OMAP2+: omap2plus_defconfig: enable OMAP DMA engine support

From: [email-masked] (Tony Lindgren)
Date: Thu, 19 Jul 2012 04:40:02 -0700

* Javier Martinez Canillas <[email-masked]> [120716 16:33]:
> On Mon, Jul 16, 2012 at 7:12 PM, Kevin Hilman <[email-masked]> wrote:
> > Javier Martinez Canillas <[email-masked]> writes:
> >
> >> commit 13f30fc893e4610f67dd7a8b0b67aec02eac1775
> >> Author: Russell King <[email-masked]>
> >> Date:   Sat Apr 21 22:41:10 2012 +0100
> >>
> >>     mmc: omap: remove private DMA API implementation
> >>
> >> removed the private DMA API implementation from the OMAP mmc host to
> >> make it use exclusively the DMA engine API.
> >>
> >> Unfortunately the omap2plus_defconfig doesn't enable this feature
> >> leading to the following error on an IGEPv2 Rev.C (and probably on most
> >> boards with MMC support):
> >
> > Personally, I'd rather see this fixed by having the drivers that depend
> > on DMA engine 'select DMADEVICES'.  That way, any defconfig will work
> > correctly instead of just omap2plus_defconfig.
> >
> > Kevin
> >
> 
> Hi Kevin,
> 
> Thanks a lot for your feedback. I'll do what you suggest and send a v2
> of the patch.

I'd rather see the drivers fixed to work with and without DMA as the
channels can run out. Also forcing the select is not good for distro kernels.

I'll apply this fix into l-o master branch while we're discussing the
issue.

Regards,

Tony